cannt run cm2spd v1.14

i cannt run cm2spd v1.04

cm2spd told my card firmware v.0129 is out of date

when i try to update card firmware with latest dongle manager, said my card fw is up to date

my card is best dongle act cm2

any suggestion please…..

wbr